summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenoit Favre2016-09-02 14:18:58 +0200
committerBenoit Favre2016-09-02 14:18:58 +0200
commit429827020c08dc37b47b941571ade28fefa83b20 (patch)
tree3a39975ce7d1f82671fe45be08ae14731d973644
parente20f36faa97089eb750079e0b6dbbcd6cd605a40 (diff)
downloadaur-429827020c08dc37b47b941571ade28fefa83b20.tar.gz
reflect new EULA
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD10
2 files changed, 11 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f6959bcfa0d..cd92d715061 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,13 @@
# Generated by mksrcinfo v8
-# Sun Jul 31 13:06:52 UTC 2016
+# Fri Sep 2 12:18:39 UTC 2016
pkgbase = aseprite
pkgdesc = Create animated sprites and pixel art
pkgver = 1.1.7
- pkgrel = 1
+ pkgrel = 2
url = http://www.aseprite.org/
arch = x86_64
arch = i686
- license = GPL
+ license = custom
makedepends = cmake
depends = pixman
depends = curl
diff --git a/PKGBUILD b/PKGBUILD
index 5f9635c16b9..19a45e32b6f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,11 +4,11 @@
pkgname=aseprite
pkgver=1.1.7
-pkgrel=1
+pkgrel=2
pkgdesc='Create animated sprites and pixel art'
arch=('x86_64' 'i686')
url='http://www.aseprite.org/'
-license=('GPL')
+license=('custom')
depends=('pixman' 'curl' 'giflib' 'zlib' 'libpng' 'libjpeg-turbo' 'tinyxml' 'freetype2' 'libwebp')
makedepends=('cmake')
source=("git+https://github.com/aseprite/aseprite.git#tag=v${pkgver}"
@@ -18,6 +18,12 @@ sha256sums=('SKIP'
build() {
cd "$pkgname"
+
+ less EULA.txt
+ echo "Do you accept the EULA? yes/NO"
+ read reply
+ [ "$reply" == "yes" ] || exit 1
+
mkdir -p build && cd build
git submodule update --init --recursive
cmake -DUSE_SHARED_PIXMAN=ON \